Std Group/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(4 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav
|[[Std Part|Part]]
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[PartDesign Body|Create body]]
|[[Std_Base|Std Base]]
|[[PartDesign_Workbench|PartDesign]]
|IconL=Std_Part.svg
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Workbench_PartDesign.svg
|IconR=PartDesign_Body.svg
|IconC=Freecad.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr|Name=Grup Oluştur|MenuLocation=Ağaç görünüm → Belge üzerine sağ tıkla||Workbenches=Hepsi|Shortcut=|SeeAlso=[[Draft_SelectGroup|Taslak grup seçme]], [[Draft_AddToGroup|Taslak gruba ekle]]}}
|Name=Std Group
|Name/tr=Grup Oluştur
|MenuLocation=Ağaç görünüm → Belge üzerine sağ tıkla
|Workbenches=Hepsi
|Shortcut=
|SeeAlso=[[Draft_SelectGroup|Taslak grup seçme]], [[Draft_AddToGroup|Taslak gruba ekle]]
}}
</div>
</div>


Line 51: Line 58:
<br />
<br />
</div>
</div>

=== Notes ===

* The Group object does not affect the positions in the [[3D_view|3D view]] of the elements that it contains; it is essentially just a folder that is used to keep the [[tree_view|tree view]] organized.
* The Group can also be created from the [[Python console|Python console]], and sub-classed to create special "groups", as indicated in the [[Std_Group#Scripting|Scripting]] section.


== Özellikler ==
== Özellikler ==


A [[Std_Group|Std Group]] is internally called [[App_DocumentObjectGroup|App DocumentObjectGroup]] ({{incode|App::DocumentObjectGroup}} class), and is derived from the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class), therefore it shares all the latter's properties.
The [[Std_Group|Std Group]], internally called [[App_DocumentObjectGroup|App DocumentObjectGroup]] ({{incode|App::DocumentObjectGroup}} class), is derived from the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class) and inherits all its properties.

In addition to the properties described in [[App_FeaturePython|App FeaturePython]], which is the most basic instance of an [[App_DocumentObject|App DocumentObject]], the App DocumentObjectGroup has the {{PropertyData|Group}} property.


These are the properties available in the [[property editor|property editor]]. Hidden properties can be shown by using the {{MenuCommand|Show all}} command in the context menu of the [[property editor|property editor]].
The Std Group has the same properties as the [[App_FeaturePython#Properties|App FeaturePython]], which is the most basic instance of an [[App_DocumentObject|App DocumentObject]]. It also has the following additional properties in the [[Property_editor|property editor]]. Hidden properties can be shown by using the {{MenuCommand|Show all}} command in the context menu of the [[Property_editor|property editor]].


=== Data ===
=== Data ===
Line 72: Line 72:
* {{PropertyData|Label}}: Grubun ismi
* {{PropertyData|Label}}: Grubun ismi
</div>
</div>

==== Hidden properties Data ====

* {{PropertyData|Proxy|PythonObject}}: a custom class associated with this object. This only exists for the [[Python|Python]] version. See [[Std_Group#Scripting|Scripting]].

=== View ===

{{TitleProperty|Base}}

See [[App_FeaturePython|App FeaturePython]] for the basic view properties.

==== Hidden properties View ====

* {{PropertyView|Proxy|PythonObject}}: a custom view provider class associated with this object. This only exists for the [[Python|Python]] version. See [[Std_Group#Scripting|Scripting]].

== Inheritance ==

A [[Std Group|Std Group]] is formally an instance of the class {{incode|App::DocumentObjectGroup}}, whose parent is the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class), and is augmented with a Group extension.

[[File:FreeCAD_core_objects.svg|800px]]

{{Caption|Simplified diagram of the relationships between the core objects in the program. The {{incode|App::DocumentObjectGroup}} class is a simple container which uses the Group extension to be able to hold any type of object.}}


== Betik ==
== Betik ==
Line 101: Line 79:
</div>
</div>


See [[Part_Feature|Part Feature]] for the general information on adding objects to the document.
See [[Part_Feature|Part Feature]] for the general information on adding objects to the document.

A Std Group ([[App_DocumentObjectGroup|App DocumentObjectGroup]]) is created with the {{incode|addObject()}} method of the document. Once a Group exists, other objects can be added to it with the {{incode|addObject()}} or {{incode|addObjects()}} methods.


A Std Group ([[App_DocumentObjectGroup|App DocumentObjectGroup]]) is created with the {{incode|addObject()}} method of the document. Once a Group exists, other objects can be added to it with the {{incode|addObject()}} or {{incode|addObjects()}} methods of this Group.
{{Code|code=
{{Code|code=
import FreeCAD as App
import FreeCAD as App


doc = App.newDocument()
doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")


bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")


obj.addObjects([bod1, bod2])
group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()
App.ActiveDocument.recompute()
}}
}}
Line 119: Line 98:
This basic {{incode|App::DocumentObjectGroup}} doesn't have a Proxy object so it can't be fully used for sub-classing.
This basic {{incode|App::DocumentObjectGroup}} doesn't have a Proxy object so it can't be fully used for sub-classing.


Therefore, for [[Python|Python]] subclassing, you should create the {{incode|App::DocumentObjectGroupPython}} object.
For [[Python|Python]] subclassing you should create a {{incode|App::DocumentObjectGroupPython}} object.


{{Code|code=
{{Code|code=
Line 137: Line 116:
* [[Document_structure/tr|Belge Yapısı]]
* [[Document_structure/tr|Belge Yapısı]]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Modelinizi düzenleyin]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Modelinizi düzenleyin]
* [[Ways_To_Organize_Objects/tr|Belge içerisindeki nesneyi düzenleme]]
</div>
</div>




{{Docnav
{{Docnav
|[[Std Part|Part]]
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[PartDesign Body|Create body]]
|[[Std_Base|Std Base]]
|[[PartDesign_Workbench|PartDesign]]
|IconL=Std_Part.svg
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Workbench_PartDesign.svg
|IconR=PartDesign_Body.svg
|IconC=Freecad.svg
}}
}}


{{Std_Base_navi{{#translation:}}}}


{{Std Base navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:07, 22 February 2022

Grup Oluştur

Menü konumu
Ağaç görünüm → Belge üzerine sağ tıkla
Tezgahlar
Hepsi
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Taslak grup seçme, Taslak gruba ekle

Tanım

Bu komut, ağaç görünümünde bir grup oluşturmanıza olanak sağlar.
Modelinizin yapısını düzenlemek için kullanılabilir.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Various elements inside Std Groups in the tree view.

Kullanım

Ağaç görünümünde FreeCAD belgenizin adına sağ tıklayın ve "grup" seçeneğini seçin.
Bir grup otomatik olarak oluşturulacak ve bir dizin simgesi ve otomatik olarak seçilen bir isim verilecektir.
Grubu sağ tıklayıp "yeniden adlandır" ı seçerek veya klavyenizdeki "F2" yi kullanarak grubu yeniden adlandırabilirsiniz.
FreeCAD nesnelerini grubun içine itin veya istediğiniz nesneyi tıklatarak gruptan çıkarın,
farenin sol düğmesini basılı tutun ve nesneyi istediğiniz yeni konuma sürüklemek için sürükle ve bırak stilini kullanın.
İmlecin altına bir "köşegen çizgisi olan bir daire" olduğu sürece, nesnenizi buraya bırakamazsınız.
İşaret bir "artı" sembolüne döndüğü anda nesneyi buraya bırakmak mümkündür.

Özellikler

The Std Group, internally called App DocumentObjectGroup (App::DocumentObjectGroup class), is derived from the basic App DocumentObject (App::DocumentObject class) and inherits all its properties.

The Std Group has the same properties as the App FeaturePython, which is the most basic instance of an App DocumentObject. It also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • VeriLabel: Grubun ismi

Betik

Aşağıdaki komut aktif belgeye yeni grup ekler:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods.

import FreeCAD as App

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

For Python subclassing you should create a App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Linkler